from llama_index.core.llms import ChatMessage
from llama_index.llms.neutrino import Neutrino

llm = Neutrino(
    api_key="<twój_klucz_API_Neutrino>",
    router="<ID_routera_Neutrino>"
)

while True:
    user_message = input("Zadaj pytanie: ")
    if user_message.lower() == 'exit':
        print("Zamykanie czatu...")
        break
    response = llm.complete(user_message)
    print(f"Odpowiedź modelu LLM: {response}")
    print(f"Odpowiedź udzielona przez: {response.raw['model']}")
    
    
'''
Aby globalnie skonfigurować model LLM, uzyj obiektu Settings w taki sposób:

from llama_index.core import Settings
Settings.llm = llm
'''